{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
        .select2-container {
                z-index: 10000;
            }
            .select2-search__field {
    width: 100% !important;
}
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Kesehatan</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    <div class="d-flex">
        <div class="flex-fill"> 
            <button type="button"  class="btn btn-primary mt-2 mb-4" data-toggle="modal" data-target="#tambahpemerintah"><i class="bi bi-pencil"></i> Tambah Data Kesehatan</button>
            <button type="button"  class="btn btn-warning mt-2 mb-4" data-toggle="modal" data-target="#tambahposyandu"><i class="bi bi-pencil"></i> Tambah Data Posyandu</button>
            <button type="button"  class="btn btn-secondary mt-2 mb-4" data-toggle="modal" data-target="#dataposyandu"><i class="bi bi-list"></i> Data Posyandu</button>
        </div>
        <div class="flex-fill-right">
            <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_datapu"><i class="bi bi-trash"></i> Data Kesehatan Diarsipkan</button>
            <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_posyandu"><i class="bi bi-trash"></i> Data Posyandu Diarsipkan</button>
        </div>
    </div>     
   
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary">
            <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Kesehatan</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-primary text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <th>Wilayah</th>
                        <th>PUSKESMAS / PUSTU</th>
                        <th>Status & Kondisi Puskesmas</th>
                        <th>Tenaga Kesehatan</th>
                        <th>Data Balita & Ibu Hamil</th>
                        <th>Foto Rumah Bangunan Puskesmas</th>
                        <th>Foto Rumah Dinas Tenaga Kesehatan</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item_kesehatan in dt_kesehatan_list %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td class="tdx">{{item_kesehatan.kampung.distrik.title}}-{{item_kesehatan.kampung.titles}} <br> {{item_kesehatan.create_date}} </td>
                                <td>{{item_kesehatan.namapuskesmas}} / {{item_kesehatan.putu}} </td>
                                <td>Status : {{item_kesehatan.status_puskesmas}} & Kondisi Puskesmas : {{item_kesehatan.kondisi_puskesmas}}</td>
                                <td>
                                   <h6>Tenaga Kesehatan </h6>
                                   <ul>
                                    <li>Dokter Spesialis : {{item_kesehatan.dok_spesialis}}</li>
                                    <li>Dokter Umum : {{item_kesehatan.dok_umum}}</li>
                                    <li>Dokter Gigi : {{item_kesehatan.dok_gigi}}</li>
                                    <li>Jumlah Perawat : {{item_kesehatan.perawat}}</li>
                                    <li>Jumlah Bidan : {{item_kesehatan.bidan}}</li>
                                    <li>Tenaga Promkes : {{item_kesehatan.tenaga_promkes}}</li>
                                    <li>Tenaga Sanitasi : {{item_kesehatan.tenaga_sanitasi}}</li>
                                    <li>Apoteker : {{item_kesehatan.apoteker}}</li>
                                    <li>Tenaga Laboratorium : {{item_kesehatan.tenaga_lab}}</li>
                                    <li>Jumlah Rumah Dinas : {{item_kesehatan.jml_rumah_dinas}}</li>
                                  </ul>                                  
                                </td>
                                <td>
                                    <ul>
                                        <li>Jumlah Balita : {{item_kesehatan.jml_balita}} </li>
                                        <li>Jumlah balita yang dipantau pertumbuhannya : {{item_kesehatan.jml_balita_dipantau}} </li>
                                        <li>Jumlah Ibu Hamil : {{item_kesehatan.jml_ibu_hamil}} </li>
                                        <li>Jumlah ibu hamil yang dipantau kehamilannya : {{item_kesehatan.jml_ibu_hamil_pantau}} </li>
                                        <li>Jumlah Kematian Ibu pada saat hamil : {{item_kesehatan.jml_kematian_ibu_hamil}} </li>
                                        <li>Jumlah kematian ibu pada saat melahirkan : {{item_kesehatan.jml_kematian_ibu_hamil_melahirkan}} </li>
                                        <li>Jumlah Kematian Bayi : {{item_kesehatan.jml_kematian_bayi}} </li>
                                      </ul>
                                </td>
                                <td>
                                    <img src="{{item_kesehatan.foto_puskesmas.url}}" width="100">
                                </td>
                                <td>
                                    <img src="{{item_kesehatan.foto_rumah_dinas.url}}" width="100">
                                </td>
                                
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                        <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#editkesehatan-{{item_kesehatan.id}}"><span class="fa fa-edit"></span></button>
                                        <div class="modal fade " id="editkesehatan-{{item_kesehatan.id}}"  role="dialog" aria-labelledby="editkesehatan-{{item_kesehatan.id}}" aria-hidden="true">
                                            <div class="modal-dialog modal-xl" role="document">
                                                <div class="modal-content ">
                                                    <div class="modal-header bg-gradient-primary text-white">
                                                        <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Edit Data Kesehatan</h5>
                                                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                        
                                                    </div>
                                                    <div class="modal-body">
                                                        <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_kesehatan_edit' item_kesehatan.id %}">
                                                                {% csrf_token %}
                                                                <div class="row no-gutters align-items-center">
                                                                    <div class="col-md-5">  
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                               Wilayah
                                                                               <input type="hidden" value="{{item_kesehatan.kodeperikanan}}" name="kodeperikanan">
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                                                                <option value="">Kampung/Distrik</option>
                                                                                {% for data_kampung in datakampung_list %}
                                                                                    <option value="{{ data_kampung.id }}" {% if data_kampung.id == item_kesehatan.kampung_id %}selected{% endif %}>
                                                                                        {{ data_kampung.distrik.title }}-{{ data_kampung.titles }}
                                                                                    </option>
                                                                                {% endfor %}    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Penanggungjawab
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="penanggungjawab" class="form-control" required>
                                                                                <option value="">Pilih Penanggungjawab</option>
                                                                                {% for datajawab in penanggungjawab %}
                                                                                    <option value="{{datajawab.id}}" {% if datajawab.id == item_kesehatan.penanggungjawab_id %}selected{% endif %}>{{datajawab.nama}}</option>
                                                                                {% endfor %}
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-3">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Tahun
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="tahun"  class="form-control" required>
                                                                                <option value="{{item_kesehatan.tahun}}" {% if tahun == item_kesehatan.tahun %}selected{% endif %}>{{item_kesehatan.tahun}}</option>
                                                                                <option value="">Pilih Tahun</option>
                                                                                <option value="2020">2020</option>    
                                                                                <option value="2021">2021</option>    
                                                                                <option value="2022">2022</option>    
                                                                                <option value="2023">2023</option>    
                                                                                <option value="2024">2024</option>    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <hr>
                                                                <div class="card border-bottom-info shadow h-100 py-2">
                                                                     <div class="card-header bg-primary text-white">Isi Data Puskesmas</div>
                                                                     <div class="card-body">
                                                                         <div class="row">
                                                                             <div class="col-md-3">
                                                                                 <div class="col mr-2">
                                                                                     <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                        Nama Puskesmas
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="col-auto">
                                                                                     <input type="text"  placeholder=""
                                                                                                     class="form-control"
                                                                                                     name="namapuskesmas"
                                                                                                     value="{{item_kesehatan.namapuskesmas}}">
                                                                                 </div>
                                                                             </div>
                                                                             <div class="col-md-3">
                                                                                 <div class="col mr-2">
                                                                                     <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                        Nama Pustu
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="col-auto">
                                                                                     <input type="text"  placeholder=""
                                                                                                     class="form-control"
                                                                                                     name="putu"
                                                                                                     value="{{item_kesehatan.putu}}" >
                                                                                 </div>
                                                                             </div>
                                                                             <div class="col-md-3">
                                                                                 <div class="col mr-2">
                                                                                     <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                         Kondisi Puskesmas / PUSTU
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="col-auto">
                                                                                     <select name="kondisi_puskesmas" id="" class="form-control">
                                                                                        <option value="{{item_kesehatan.kondisi_puskesmas}}" {% if kondisi_puskesmas == item_kesehatan.kondisi_puskesmas %}selected{% endif %}>{{item_kesehatan.kondisi_puskesmas}}</option>
                                                                                        <option value="">Pilih Kondisi</option>
                                                                                         <option value="Baik">Baik</option>
                                                                                         <option value="Rusak Ringan">Rusak Ringan</option>
                                                                                         <option value="Rusak Berat">Rusak Berat</option>
                                                                                     </select>
                                                                                 </div>
                                                                             </div>
                                                                             <div class="col-md-3">
                                                                                 <div class="col mr-2">
                                                                                     <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                         Status Puskesmas / PUSTU
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="col-auto">
                                                                                     <select name="status_puskesmas" id="" class="form-control">
                                                                                        <option value="{{item_kesehatan.status_puskesmas}}" {% if status_puskesmas == item_kesehatan.status_puskesmas %}selected{% endif %}>{{item_kesehatan.status_puskesmas}}</option>
                                                                                        <option value="">Pilih Status Puskesmas/Pustu</option>
                                                                                         <option value="Rawat Inap">Rawat Inap</option>
                                                                                         <option value="Rawat Non Inap">Rawat Non Inap</option>
                                                                                     </select>
                                                                                 </div>
                                                                             </div>
                                                                         </div>
                                                                     </div>
                                                                </div>
                                                                 <div class="row">
                                                                     <div class="col-xl-4 col-md-3 mb-3">
                                                                         <div class="card border-bottom-primary shadow h-100 py-2 shadow">
                                                                             <div class="card-header bg-primary text-white">
                                                                                <span class="fa fa-map-marker"></span> Tenaga Kesehatan
                                                                             </div>
                                                                             <div class="card-body">
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-6">
                                                                                         <label for="jml_halte" > Dokter Spesialis </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="number"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="dok_spesialis" value="{{item_kesehatan.dok_spesialis}}"
                                                                                             >
                                                                                     </div>
                                                                                </div>
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-6">
                                                                                         <label for="jml_halte" > Dokter umum </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="number"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="dok_umum" value="{{item_kesehatan.dok_umum}}"
                                                                                             >
                                                                                     </div>
                                                                                </div>
                                                                                <div class="row">
                                                                                     <div class="form-group col-md-6">
                                                                                         <label for="jml_halte" > Dokter gigi </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="number"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="dok_gigi" value="{{item_kesehatan.dok_gigi}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-6">
                                                                                         <label for="jml_halte" > Jumlah Perawat </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="text"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="perawat" value="{{item_kesehatan.perawat}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-6">
                                                                                         <label for="jml_halte" > Jumlah Bidan </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="text"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="bidan" value="{{item_kesehatan.bidan}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-6">
                                                                                         <label for="jml_halte" > Tenaga Promkes </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="text"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="tenaga_promkes" value="{{item_kesehatan.tenaga_promkes}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-6">
                                                                                         <label for="jml_halte" > Tenaga sanitasi  </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="text"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="tenaga_sanitasi" value="{{item_kesehatan.tenaga_sanitasi}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-6">
                                                                                         <label for="jml_halte" > Apoteker </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="text"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="apoteker" value="{{item_kesehatan.apoteker}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-6">
                                                                                         <label for="jml_halte" > Tenaga laboratorium  </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="text"  placeholder=""
                                                                                             class="form-control" 
                                                                                             name="tenaga_lab" value="{{item_kesehatan.tenaga_lab}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                             </div>
                                                                         </div>
                                                                     </div>
                                                                     <div class="col-xl-8 col-md-3 mb-3">
                                                                         <div class="card border-bottom-info shadow h-100 py-2 shadow">
                                                                             <div class="card-header bg-info text-white">
                                                                                <span class="fa fa-users"></span> Data Balita & Ibu Hamil
                                                                             </div>
                                                                             <div class="card-body">
                                                                                <div class="row">
                                                                                     <div class="form-group col-md-3">
                                                                                         <label for="jml_halte" > Jumlah Balita </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="number"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="jml_balita" value="{{item_kesehatan.jml_balita}}"
                                                                                             >
                                                                                     </div>
                                                                                </div>
                                                                                <div class="row">
                                                                                     <div class="form-group col-md-3">
                                                                                         <label for="jml_halte" > Jumlah Ibu Hamil </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="number"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="jml_ibu_hamil" value="{{item_kesehatan.jml_ibu_hamil}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-3">
                                                                                         <label for="jml_halte" >Jumlah kematian ibu pada saat hamil </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="number"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="jml_kematian_ibu_hamil" value="{{item_kesehatan.jml_kematian_ibu_hamil}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                     
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-3">
                                                                                         <label for="jml_halte" >Jumlah kematian ibu pada saat melahirkan </label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="number"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="jml_kematian_ibu_melahirkan" value="{{item_kesehatan.jml_kematian_ibu_melahirkan}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-3">
                                                                                         <label for="jml_halte" >Jumlah Kematian bayi</label>
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="number"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="jml_kematian_bayi" value="{{item_kesehatan.jml_kematian_bayi}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                                 <hr>
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-3">
                                                                                         <label for="jml_halte" >Foto Rumah Bangunan Puskesmas</label>
                                                                                         <img src="{{item_kesehatan.foto_puskesmas.url}}" width="100">
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="file"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="foto_puskesmas" value="{{item_kesehatan.foto_puskesmas}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                                 <div class="row">
                                                                                     <div class="form-group col-md-3">
                                                                                         <label for="jml_halte" >Foto Rumah Dinas Tenaga Kesehatan</label>
                                                                                         <img src="{{item_kesehatan.foto_rumah_dinas.url}}" width="100">
                                                                                     </div>
                                                                                     <div class="form-group col-md-6">
                                                                                         <input type="file"  placeholder=""
                                                                                             class="form-control"
                                                                                             name="foto_rumah_dinas" value="{{item_kesehatan.foto_rumah_dinas}}"
                                                                                             >
                                                                                     </div>
                                                                                 </div>
                                                                                 
                                                                             </div>
                                                                         </div>
                                                                     </div>
                                                                 </div>
                                                                
                                                                
                                                                
                                                            <div class="modal-footer align-items-center">
                                                                <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                                                                <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ item_kesehatan.kampung.titles }}`, '{{ item_kesehatan.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    <div class="modal fade " id="tambahpemerintah"  role="dialog" aria-labelledby="tambahpemerintah" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content ">
                <div class="modal-header bg-gradient-primary text-white">
                    <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Input Data kesehatan</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                </div>
                <div class="modal-body">
                    <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_kesehatan_create' %}">
                            {% csrf_token %}
                            <div class="row no-gutters align-items-center">
                                <div class="col-md-5">  
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                           Wilayah
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                            <option value="">Kampung/Distrik</option>
                                            {% for data_kampung in  datakampung_list %}
                                                <option value="{{data_kampung.id}}">{{data_kampung.distrik.title}}-{{data_kampung.titles}}</option>
                                            {% endfor %}    
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Penanggungjawab
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="penanggungjawab" class="form-control" required>
                                            <option value="">Pilih Penanggungjawab</option>
                                            {% for datajawab in penanggungjawab %}
                                                <option value="{{datajawab.id}}">{{datajawab.nama}}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Tahun
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="tahun"  class="form-control" required>
                                            <option value="">Pilih Tahun</option>
                                            <option value="2020">2020</option>    
                                            <option value="2021">2021</option>    
                                            <option value="2022">2022</option>    
                                            <option value="2023">2023</option>    
                                            <option value="2024">2024</option>    
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr>
                           <div class="card border-bottom-info shadow h-100 py-2">
                                <div class="card-header bg-primary text-white">Isi Data Puskesmas</div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="col mr-2">
                                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                   Nama Puskesmas
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <input type="text"  placeholder=""
                                                                class="form-control"
                                                                name="namapuskesmas"
                                                                required>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="col mr-2">
                                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                   Nama Pustu
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <input type="text"  placeholder=""
                                                                class="form-control"
                                                                name="putu"
                                                                required>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="col mr-2">
                                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                    Kondisi Puskesmas / PUSTU
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <select name="kondisi_puskesmas" id="" class="form-control">
                                                    <option value="">Pilih Kondisi</option>
                                                    <option value="Baik">Baik</option>
                                                    <option value="Rusak Ringan">Rusak Ringan</option>
                                                    <option value="Rusak Berat">Rusak Berat</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="col mr-2">
                                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                    Status Puskesmas / PUSTU
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <select name="status_puskesmas" id="" class="form-control">
                                                    <option value="">Pilih Status Puskesmas/Pustu</option>
                                                    <option value="Rawat Inap">Rawat Inap</option>
                                                    <option value="Rawat Non Inap">Rawat Non Inap</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                           </div>
                            <div class="row">
                                <div class="col-xl-4 col-md-3 mb-3">
                                    <div class="card border-bottom-primary shadow h-100 py-2 shadow">
                                        <div class="card-header bg-primary text-white">
                                           <span class="fa fa-map-marker"></span> Tenaga Kesehatan
                                        </div>
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Dokter Spesialis </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="dok_spesialis"
                                                        required>
                                                </div>
                                           </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Dokter umum </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="dok_umum"
                                                        required>
                                                </div>
                                           </div>
                                           <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Dokter gigi </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="dok_gigi"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Jumlah Perawat </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="perawat"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Jumlah Bidan </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="bidan"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Tenaga Promkes </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="tenaga_promkes"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Tenaga sanitasi  </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="tenaga_sanitasi"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Apoteker </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="apoteker"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label for="jml_halte" > Tenaga laboratorium  </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="text"  placeholder=""
                                                        class="form-control"
                                                        name="tenaga_lab"
                                                        required>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-8 col-md-3 mb-3">
                                    <div class="card border-bottom-info shadow h-100 py-2 shadow">
                                        <div class="card-header bg-info text-white">
                                           <span class="fa fa-users"></span> Data Balita & Ibu Hamil
                                        </div>
                                        <div class="card-body">
                                           <div class="row">
                                                <div class="form-group col-md-3">
                                                    <label for="jml_halte" > Jumlah Balita </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="jml_balita"
                                                        required>
                                                </div>
                                           </div>
                                           <div class="row">
                                                <div class="form-group col-md-3">
                                                    <label for="jml_halte" > Jumlah Ibu Hamil </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="jml_ibu_hamil"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-3">
                                                    <label for="jml_halte" >Jumlah kematian ibu pada saat hamil </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="jml_kematian_ibu_hamil"
                                                        required>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="form-group col-md-3">
                                                    <label for="jml_halte" >Jumlah kematian ibu pada saat melahirkan </label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="jml_kematian_ibu_melahirkan"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-3">
                                                    <label for="jml_halte" >Jumlah Kematian bayi</label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="number"  placeholder=""
                                                        class="form-control"
                                                        name="jml_kematian_bayi"
                                                        required>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row">
                                                <div class="form-group col-md-3">
                                                    <label for="jml_halte" >Foto Rumah Bangunan Puskesmas</label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="file"  placeholder=""
                                                        class="form-control"
                                                        name="foto_puskesmas"
                                                        required>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-3">
                                                    <label for="jml_halte" >Foto Rumah Dinas Tenaga Kesehatan</label>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <input type="file"  placeholder=""
                                                        class="form-control"
                                                        name="foto_rumah_dinas"
                                                        required>
                                                </div>
                                            </div>
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                           
                        <div class="modal-footer">
                            <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                            <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade " id="tambahposyandu"  role="dialog" aria-labelledby="tambahposyandu" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content ">
                <div class="modal-header bg-gradient-primary text-white">
                    <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Input Data kesehatan</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                </div>
                <div class="modal-body">
                    <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_kesehatan_create_posyandu' %}">
                            {% csrf_token %}
                            <div class="row no-gutters align-items-center">
                                <div class="col-md-5">  
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                           Wilayah
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                            <option value="">Kampung/Distrik</option>
                                            {% for data_kampung in  datakampung_list %}
                                                <option value="{{data_kampung.id}}">{{data_kampung.distrik.title}}-{{data_kampung.titles}}</option>
                                            {% endfor %}    
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Penanggungjawab
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="penanggungjawab" class="form-control" required>
                                            <option value="">Pilih Penanggungjawab</option>
                                            {% for datajawab in penanggungjawab %}
                                                <option value="{{datajawab.id}}">{{datajawab.nama}}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Tahun
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="tahun"  class="form-control" required>
                                            <option value="">Pilih Tahun</option>
                                            <option value="2020">2020</option>    
                                            <option value="2021">2021</option>    
                                            <option value="2022">2022</option>    
                                            <option value="2023">2023</option>    
                                            <option value="2024">2024</option>    
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr>
                           <div class="card border-bottom-info shadow h-100 py-2">
                                <div class="card-header bg-primary text-white">Isi Data Posyandu</div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="col mr-2">
                                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                    Nama posyandu
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <input type="text"  placeholder=""
                                                                class="form-control"
                                                                name="nama"
                                                                required>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="col mr-2">
                                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                    Jumlah kader terlatih
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="kader"
                                                                required>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="col mr-2">
                                                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                   Upload Foto Posyandu
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <input type="file"  placeholder=""
                                                                class="form-control"
                                                                name="foto_posyandu"
                                                                required>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                           </div>
                            
                           
                        <div class="modal-footer">
                            <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                            <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    {% include 'profile/admin/kesehatan/posyandu.html' %}
    {% include 'profile/admin/kesehatan/arsip.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        $('#arsip_posyandu').on('shown.bs.modal', function () {
            $('#mySelect2').select2({
                theme: 'classic select2-bootstrap4-theme',
            });
        });
        $('#tambahpemerintah').on('shown.bs.modal', function () {
            $('#mySelect2').select2({
                theme: 'classic select2-bootstrap4-theme',
            });
        });

        $('#dataposyandu').on('shown.bs.modal', function () {
            $('#mySelect2').select2({
                theme: 'classic select2-bootstrap4-theme',
            });
        });

        $('#tambahposyandu').on('shown.bs.modal', function () {
            $('#mySelect2').select2({
                theme: 'classic select2-bootstrap4-theme',
            });
        });
            
   
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kesehatan/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kesehatan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kesehatan/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kesehatan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_posyandu_(action, nama, id){
                let pesan = action == 'soft_delete_posyandu' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete_posyandu' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kesehatan/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kesehatan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }



            function restore_posyandu_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kesehatan/restore_posyandu/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kesehatan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}